Connector API
//
Get User Details
In Development
This operation is actively being developed. Breaking changes should be expected.
Please contact us before using this operation.
Returns the details of the user matching {userId} from the token-linked security awareness integration.
Operation ID: securityawareness_get_user_details
Security
BearerAuth
Add metadata to the response by invoking meta functions. Documentation for meta functions is available. Not all meta functions are available at every endpoint.
- Synqlyhttps://api.synqly.com/v1/security-awareness/users/{userId}
curl -i -X GET \
'https://api.synqly.com/v1/security-awareness/users/{userId}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Additional messages from the service response that may be helpful to the client.
Response
{ "result": { "activity_id": 0, "activity_name": "string", "actor": { … }, "category_name": "string", "category_uid": 0, "class_uid": 0, "count": 0, "duration": 0, "end_time": 0, "end_time_dt": "2019-08-24T14:15:22Z", "enrichments": [ … ], "message": "string", "metadata": { … }, "observables": [ … ], "raw_data": "string", "raw_data_hash": { … }, "raw_data_size": 0, "severity": "string", "severity_id": 0, "start_time": 0, "start_time_dt": "2019-08-24T14:15:22Z", "status": "string", "status_code": "string", "status_detail": "string", "status_id": 0, "time": 0, "time_dt": "2019-08-24T14:15:22Z", "timezone_offset": 0, "type_name": "string", "type_uid": 0, "unmapped": {}, "user": { … } }, "messages": { "problems": [ … ] }, "meta": { "stats": { … }, "api": { … }, "mapping": { … } } }